package com.hzya.frame.sysnew.messageTemplate.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * (SysMessageTemplate)实体类
 *
 * @author makejava
 * @since 2024-08-30 14:21:15
 */
public class SysMessageTemplateEntity extends BaseEntity {
 
  /**  公司id */
   private String companyId;
  /**  模版类型 */
   private String templateType;
  /**  模版名称 */
   private String templateName;
  /**  消息标题 */
   private String messageTitle;
  /**  消息内容 */
   private String messageContents;
  /**  消息操作区域 */
   private String btns;
  /**  数据源 */
   private String dataSource;
  /**  状态 0：停用 1：启用 */
   private String state;


    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getMessageTitle() {
        return messageTitle;
    }

    public void setMessageTitle(String messageTitle) {
        this.messageTitle = messageTitle;
    }

    public String getMessageContents() {
        return messageContents;
    }

    public void setMessageContents(String messageContents) {
        this.messageContents = messageContents;
    }

    public String getBtns() {
        return btns;
    }

    public void setBtns(String btns) {
        this.btns = btns;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }
}

